<div class="card-toolbar">

   <button *ngIf="options && options.includes(toolbarOption.Refresh)" class="btn btn-sm btn-outline-secondary rounded-circle mr-1" [title]="'CARD_TOOLBAR.REFRESH'|translate" (click)="onAction(toolbarOption.Refresh)">
        <i class="ri-refresh-line"></i>
    </button>

    <button *ngIf="options && options.includes(toolbarOption.DownloadAsExcel)" class="btn btn-sm btn-outline-secondary rounded-circle mr-1" [title]="'CARD_TOOLBAR.DL_EXCEL'|translate" (click)="onAction(toolbarOption.DownloadAsExcel)">
        <i class="ri-file-excel-2-line"></i>
    </button>

    <button *ngIf="options && options.includes(toolbarOption.DownloadAsPDF)" class="btn btn-sm btn-outline-secondary rounded-circle mr-1" [title]="'CARD_TOOLBAR.DL_PDF'|translate" (click)="onAction(toolbarOption.DownloadAsPDF)">
        <i class="ri-file-pdf-line"></i>
    </button>

    <button *ngIf="collapseTarget" class="btn btn-sm btn-outline-secondary rounded-circle" [title]="'CARD_TOOLBAR.COLLAPSE'|translate" data-toggle="collapse" [attr.data-target]="'#' + collapseTarget" aria-expanded="true" [attr.aria-controls]="collapseTarget">
        <i class="ri-arrow-down-s-line"></i>
        <i class="ri-arrow-up-s-line"></i>
    </button>

</div>
